diff --git a/share/misc/pci_vendors b/share/misc/pci_vendors
index 57ac16b..baf4546 100644
--- a/share/misc/pci_vendors
+++ b/share/misc/pci_vendors
@@ -13323,6 +13689,7 @@
 	8234  RS8234 ATM SAR Controller [ServiceSAR Plus]
 	8800  CX23880/1/2/3 PCI Video and Audio Decoder
 		0070 2801  Hauppauge WinTV 28xxx (Roslyn) models
+		0070 3400  WinTV 34604
 		0070 3401  Hauppauge WinTV 34xxx models
 		0070 6902  WinTV HVR-4000-HD
 		0070 7801  WinTV HVR-1800 MCE
@@ -13400,6 +13767,7 @@
 		0070 9402  WinTV-HVR1100 DVB-T/Hybrid
 		7063 5500  pcHDTV HD-5500
 	8811  CX23880/1/2/3 PCI Video and Audio Decoder [Audio Port]
+		0070 3400  WinTV 34604
 		0070 3401  Hauppauge WinTV 34xxx models
 		0070 6902  WinTV HVR-4000-HD
 		0070 9402  WinTV-HVR1100 DVB-T/Hybrid
@@ -13600,7 +13968,6 @@
 	9260  RCIM-II Real-Time Clock & Interrupt Module
 1543  SILICON Laboratories
 	3052  Intel 537 [Winmodem]
-	3155  Motorola SM56 Speakerphone Modem
 	4c22  Si3036 MC'97 DAA
 1544  DCM DATA Systems
 1545  VISIONTEK
@@ -14127,6 +14494,8 @@
 		17f9 0008  DX-WGNBC 802.11bg Wireless CardBus Adapter
 		17f9 0018  DX-WGDTC 802.11bg Wireless PCI Adapter
 	001b  AR5413/AR5414 Wireless Network Adapter [AR5006X(S) 802.11abg]
+# Atheros AR5414 32-bit mini-PCI type IIIB
+		0777 1107  UB5 802.11a Wireless Mini PCI Adapter
 		0777 3002  XR2 802.11g Wireless Mini PCI Adapter
 		0777 3005  XR5 802.11a Wireless Mini PCI Adapter
 		0777 3009  XR9 900MHz Wireless Mini PCI Adapter
@@ -14192,6 +14561,7 @@
 	0029  AR922X Wireless Network Adapter
 		0777 4005  SR71-15 802.11an Mini PCI Adapter
 		1186 3a7a  DWA-552 802.11n Xtreme N Desktop Adapter (rev A2)
+		1186 3a7d  DWA-552 802.11n Xtreme N Desktop Adapter (rev A3)
 	002a  AR928X Wireless Network Adapter (PCI-Express)
 		0777 4f05  SR71-X 802.11abgn Wireless ExpressCard Adapter [AR9280]
 		103c 3041  AR5BHB92-H 802.11abgn Wireless Half-size Mini PCIe Card [AR9280]
@@ -14210,6 +14580,7 @@
 		103c 303f  U98Z062.10 802.11bgn Wireless Half-size Mini PCIe Card
 		103c 3040  U98Z062.12 802.11bgn Wireless Half-size Mini PCIe Card
 		105b e017  T77H126.00 802.11bgn Wireless Half-size Mini PCIe Card
+		105b e023  T77H121.04 802.11bgn Wireless Half-size Mini PCIe Card
 		1113 e811  WN7811A (Toshiba PA3722U-1MPC) 802.11bgn Wireless Half-size Mini PCIe Card
 		185f 30af  DNXA-95 802.11bgn Wireless Half-size Mini PCIe Card
 		1931 0023  Option GTM67x PCIe WiFi Adapter
@@ -14222,6 +14593,7 @@
 	002e  AR9287 Wireless Network Adapter (PCI-Express)
 	0030  AR9300 Wireless LAN adaptor
 		103c 1627  AR9380/HB112 802.11abgn 3×3 Wi-Fi Adapter
+		1186 3a7e  DWA-566 Wireless N 300 Dual Band PCIe Desktop Adapter
 		1a56 2000  Killer Wireless-N 1102 Half-size Mini PCIe Card [AR9382]
 		1a56 2001  Killer Wireless-N 1103 Half-size Mini PCIe Card [AR9380]
 	0032  AR9485 Wireless Network Adapter
@@ -14235,7 +14607,9 @@
 	9013  AR5002X Wireless Network Adapter
 	ff19  AR5006X Wireless Network Adapter
 	ff1c  AR5008 Wireless Network Adapter
-	ff1d  AR5008 Wireless Network Adapter
+	ff1d  AR922x Wireless Network Adapter
+# Found in "AVM Fritz!Box FON WLAN 7270v3"
+		168c ee1c  AR9220-AC1A [AVM Fritz!Box FON WLAN 7270 v3]
 1695  EPoX Computer Co., Ltd.
 169c  Netcell Corporation
 	0044  Revolution Storage Processing Card
@@ -14698,7 +15072,7 @@
 	a101  VigraWATCH PCI
 	a102  VigraWATCH PMC
 	a103  Vigra I/O
-187e  ZyXEL Communication Corporation
+187e  ZyXEL Communications Corporation
 	3403  ZyAir G-110 802.11g
 	340e  M-302 802.11g XtremeMIMO
 1885  Avvida Systems Inc.
@@ -14828,8 +15202,11 @@
 	00f5  NT4E2-4T-BP Network Adapter 4x1Gb with Electrical Bypass
 18f6  NextIO
 	1000  [Nexsis] Switch Virtual P2P PCIe Bridge
+	1001  [Texsis] Switch Virtual P2P PCIe Bridge
 	1050  [Nexsis] Switch Virtual P2P PCI Bridge
+	1051  [Texsis] Switch Virtual P2P PCI Bridge
 	2000  [Nexsis] Switch Integrated Mgmt. Endpoint
+	2001  [Texsis] Switch Integrated Mgmt. Endpoint
 18f7  Commtech, Inc.
 	0001  ESCC-PCI-335 Serial PCI Adapter [Fastcom]
 	0002  422/4-PCI-335 Serial PCI Adapter [Fastcom]
@@ -14844,8 +15221,8 @@
 	0014  SuperFSCC Serial PCI Adapter [Fastcom]
 	0015  SuperFSCC-104 Serial PCI/104+ Adapter [Fastcom]
 	0016  FSCC-232 RS-232 Serial PCI Adapter [Fastcom]
-# Synchronous Only
-	0017  SuperFSCC-104-NOUART Serial PCI/104+ Adapter [Fastcom]
+# Software UARTs
+	0017  SuperFSCC-104 Serial PC/104+ Adapter
 	0018  SuperFSCC/4 Serial PCI Adapter [Fastcom]
 	0019  SuperFSCC Serial PCI Adapter [Fastcom]
 # RS-644 Only
@@ -14853,6 +15230,10 @@
 	001b  FSCC/4 Serial PCI Adapter [Fastcom]
 # RS-644 Only
 	001c  SuperFSCC/4-LVDS Serial PCI Adapter [Fastcom]
+# Software UARTs
+	001d  FSCC Serial PCI Adapter [Fastcom]
+	001e  SuperFSCC/4 Serial PCIe Adapter [Fastcom]
+	001f  SuperFSCC/4 Serial cPCI Adapter [Fastcom]
 	0020  422/4-PCIe Serial PCIe Adapter [Fastcom]
 	0021  422/8-PCIe Serial PCIe Adapter [Fastcom]
 18fb  Resilience Corporation
@@ -14904,37 +15285,37 @@
 		1924 5202  SFN4112F-R2
 	0803  SFC9020 [Solarstorm]
 		1924 1201  SFA6902F-R1 SFP+ AOE Adapter
-		1924 6200  SFN5122F-R0
-		1924 6201  SFN5122F-R1
-		1924 6202  SFN5122F-R2
-		1924 6204  SFN5122F-R4
-		1924 6205  SFN5122F-R5
-		1924 6206  SFN5122F-R6
-		1924 6207  SFN5122F-R7
-		1924 6210  SFN5322F-R0
-		1924 6211  SFN5322F-R1
-		1924 6217  SFN5322F-R7
-		1924 6227  SFN6122F-R7
-		1924 6237  SFN6322F-R7
-		1924 6501  SFN5802K-R1
-		1924 6511  SFN5814H-R1
-		1924 6521  SFN5812H-R1
+		1924 6200  SFN5122F-R0 SFP+ Server Adapter
+		1924 6201  SFN5122F-R1 SFP+ Server Adapter
+		1924 6202  SFN5122F-R2 SFP+ Server Adapter
+		1924 6204  SFN5122F-R4 SFP+ Server Adapter
+		1924 6205  SFN5122F-R5 SFP+ Server Adapter
+		1924 6206  SFN5122F-R6 SFP+ Server Adapter
+		1924 6207  SFN5122F-R7 SFP+ Server Adapter
+		1924 6210  SFN5322F-R0 SFP+ Precision Time Synchronization Server Adapter
+		1924 6211  SFN5322F-R1 SFP+ Precision Time Synchronization Server Adapter
+		1924 6217  SFN5322F-R7 SFP+ Precision Time Synchronization Server Adapter
+		1924 6227  SFN6122F-R7 SFP+ Server Adapter
+		1924 6237  SFN6322F-R7 SFP+ Precision Time Synchronization Server Adapter
+		1924 6501  SFN5802K-R1 Mezzanine Adapter
+		1924 6511  SFN5814H-R1 Mezzanine Adapter
+		1924 6521  SFN5812H-R1 Mezzanine Adapter
 		1924 6562  SFN6832F-R2 SFP+ Mezzanine Adapter
-		1924 6a05  SFN5112F-R5
-		1924 6a06  SFN5112F-R6
-		1924 7206  SFN5162F-R6
-		1924 7207  SFN5162F-R7
-		1924 7a06  SFN5152F-R6
-		1924 7a07  SFN5152F-R7
+		1924 6a05  SFN5112F-R5 SFP+ Server Adapter
+		1924 6a06  SFN5112F-R6 SFP+ Server Adapter
+		1924 7206  SFN5162F-R6 SFP+ Server Adapter
+		1924 7207  SFN5162F-R7 SFP+ Server Adapter
+		1924 7a06  SFN5152F-R6 SFP+ Server Adapter
+		1924 7a07  SFN5152F-R7 SFP+ Server Adapter
 	0813  SFL9021 [Solarstorm]
-		1924 6100  SFN5121T-R0
-		1924 6102  SFN5121T-R2
-		1924 6103  SFN5121T-R3
-		1924 6104  SFN5121T-R4
-		1924 6902  SFN5111T-R2
-		1924 6904  SFN5111T-R4
-		1924 7104  SFN5161T-R4
-		1924 7904  SFN5151T-R4
+		1924 6100  SFN5121T-R0 10GBASE-T Server Adapter
+		1924 6102  SFN5121T-R2 10GBASE-T Server Adapter
+		1924 6103  SFN5121T-R3 10GBASE-T Server Adapter
+		1924 6104  SFN5121T-R4 10GBASE-T Server Adapter
+		1924 6902  SFN5111T-R2 10GBASE-T Server Adapter
+		1924 6904  SFN5111T-R4 10GBASE-T Server Adapter
+		1924 7104  SFN5161T-R4 10GBASE-T Server Adapter
+		1924 7904  SFN5151T-R4 10GBASE-T Server Adapter
 	1803  SFC9020 Virtual Function [Solarstorm]
 	1813  SFL9021 Virtual Function [Solarstorm]
 	6703  SFC4000 rev A iSCSI/Onload [Solarstorm]
@@ -15107,7 +15488,7 @@
 		1043 8460  P8P67 Deluxe Motherboard
 	2363  JMB363 SATA/IDE Controller
 		1043 81e4  P5B [JMB363]
-		1458 b000  GA-EP45-DS5 Motherboard
+		1458 b000  Motherboard
 		1849 2363  Motherboard (one of many)
 	2364  JMB364 AHCI Controller
 	2365  JMB365 AHCI/IDE
@@ -15205,6 +15586,7 @@
 1a08  Sierra semiconductor
 	0000  SC15064
 1a0e  DekTec Digital Video B.V.
+	083f  DTA-2111 VHF/UHF Modulator
 1a17  Force10 Networks, Inc.
 	8002  PB-10GE-2P 10GbE Security Card
 1a1d  GFaI e.V.
@@ -15324,6 +15706,7 @@
 	1001  Virtio block device
 	1002  Virtio memory balloon
 	1003  Virtio console
+	1009  Virtio filesystem
 1af5  Netezza Corp.
 1afa  J & W Electronics Co., Ltd.
 1b03  Magnum Semiconductor, Inc,
@@ -15420,6 +15803,7 @@
 1c7f  Elektrobit Austria GmbH
 	5100  EB5100
 1c8a  TSF5 Corporation
+	0001  Hunter PCI Express
 1d44  DPT
 	a400  PM2x24/PM3224
 1d5c  Fantasia Trading LLC
@@ -15483,12 +15867,14 @@
 270b  Xantel Corporation
 270f  Chaintech Computer Co. Ltd
 2711  AVID Technology Inc.
+2955  Connectix Virtual PC
+	6e61  OHCI USB 1.1 controller
 29b4  82q35 Express MEI Controller
 2a15  3D Vision(???)
 3000  Hansol Electronics Inc.
-3020  LSI SAS2 9211-8i
-3080  LSI SAS2 9200-8e
 3142  Post Impression Systems.
+31ab  Zonet
+	1faa  ZEW1602 802.11b/g Wireless Adapter
 3388  Hint Corp
 	0013  HiNT HC4 PCI to ISDN bridge, Multimedia audio controller
 	0014  HiNT HC4 PCI to ISDN bridge, Network controller
@@ -16024,6 +16410,7 @@
 	0043  Core Processor Secondary PCI Express Root Port
 	0044  Core Processor DRAM Controller
 		1025 0347  Aspire 7740G
+		1025 0487  TravelMate 5742
 		e4bf 50c1  PC1-GROOVE
 	0045  Core Processor PCI Express x16 Root Port
 	0046  Core Processor Integrated Graphics Controller
@@ -16093,7 +16480,9 @@
 		1028 04b2  Vostro 3350
 		106b 00dc  MacBookPro8,2 [Core i7, 15", 2011]
 	0102  2nd Generation Core Processor Family Integrated Graphics Controller
+		1028 04aa  XPS 8300
 	0104  2nd Generation Core Processor Family DRAM Controller
+		1028 04a3  Precision M4600
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
 		106b 00dc  MacBookPro8,2 [Core i7, 15", 2011]
@@ -16114,9 +16503,12 @@
 	0126  2nd Generation Core Processor Family Integrated Graphics Controller
 		1028 04cc  Vostro 3350
 	0150  Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller
+		1043 84ca  P8H77-I Motherboard
 	0151  Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port
 		1043 1477  N56VZ
+		1043 84ca  P8H77-I Motherboard
 	0152  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
+		1043 84ca  P8H77-I Motherboard
 	0153  3rd Gen Core Processor Thermal Subsystem
 		1043 1517  Zenbook Prime UX31A
 	0154  3rd Gen Core processor DRAM Controller
@@ -16299,6 +16691,7 @@
 	0a2a  Haswell-ULT Integrated Graphics Controller
 	0be0  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
 	0be1  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+		105b 0d7c  D270S/D250S Motherboard
 	0be2  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
 	0be3  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
 	0be4  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
@@ -16319,6 +16712,7 @@
 	0bf3  Atom Processor D2xxx/N2xxx DRAM Controller
 	0bf4  Atom Processor D2xxx/N2xxx DRAM Controller
 	0bf5  Atom Processor D2xxx/N2xxx DRAM Controller
+		105b 0d7c  D270S/D250S Motherboard
 	0bf6  Atom Processor D2xxx/N2xxx DRAM Controller
 	0bf7  Atom Processor D2xxx/N2xxx DRAM Controller
 	0c00  Haswell DRAM Controller
@@ -16328,32 +16722,38 @@
 	0c08  Haswell DRAM Controller
 	0c09  Haswell PCI Express x4 Controller
 	0c0c  Haswell HD Audio Controller
-	0c46  Centerton PCI Express Root Port 1
-	0c47  Centerton PCI Express Root Port 2
-	0c48  Centerton PCI Express Root Port 3
-	0c49  Centerton PCI Express Root Port 4
-	0c4e  Centerton NTB Primary
-	0c54  Centerton Internal Management
-	0c59  Centerton SMBus 2.0 Controller 0
-	0c5a  Centerton SMBus 2.0 Controller 1
-	0c5f  Centerton UART
-	0c60  Centerton Integrated Legacy Bus
-	0c70  Centerton Internal Fabric
-	0c71  Centerton Internal Fabric
-	0c72  Centerton Internal Fabric
-	0c73  Centerton Internal Fabric
-	0c74  Centerton Internal Fabric
-	0c75  Centerton Internal Fabric
-	0c76  Centerton Internal Fabric
-	0c77  Centerton Internal Fabric
-	0c78  Centerton Internal Fabric
-	0c79  Centerton Internal Fabric
-	0c7a  Centerton Internal Fabric
-	0c7b  Centerton Internal Fabric
-	0c7c  Centerton Internal Fabric
-	0c7d  Centerton Internal Fabric
-	0c7e  Centerton Internal Fabric
-	0c7f  Centerton Internal Fabric
+	0c46  Atom Processor S1200 PCI Express Root Port 1
+	0c47  Atom Processor S1200 PCI Express Root Port 2
+	0c48  Atom Processor S1200 PCI Express Root Port 3
+	0c49  Atom Processor S1200 PCI Express Root Port 4
+	0c4e  Atom Processor S1200 NTB Primary
+	0c54  Atom Processor S1200 Internal
+	0c55  Atom Processor S1200 DFX 1
+	0c56  Atom Processor S1200 DFX 2
+	0c59  Atom Processor S1200 SMBus 2.0 Controller 0
+	0c5a  Atom Processor S1200 SMBus 2.0 Controller 1
+	0c5b  Atom Processor S1200 SMBus Controller 2
+	0c5c  Atom Processor S1200 SMBus Controller 3
+	0c5d  Atom Processor S1200 SMBus Controller 4
+	0c5e  Atom Processor S1200 SMBus Controller 5
+	0c5f  Atom Processor S1200 UART
+	0c60  Atom Processor S1200 Integrated Legacy Bus
+	0c70  Atom Processor S1200 Internal
+	0c71  Atom Processor S1200 Internal
+	0c72  Atom Processor S1200 Internal
+	0c73  Atom Processor S1200 Internal
+	0c74  Atom Processor S1200 Internal
+	0c75  Atom Processor S1200 Internal
+	0c76  Atom Processor S1200 Internal
+	0c77  Atom Processor S1200 Internal
+	0c78  Atom Processor S1200 Internal
+	0c79  Atom Processor S1200 Internal
+	0c7a  Atom Processor S1200 Internal
+	0c7b  Atom Processor S1200 Internal
+	0c7c  Atom Processor S1200 Internal
+	0c7d  Atom Processor S1200 Internal
+	0c7e  Atom Processor S1200 Internal
+	0c7f  Atom Processor S1200 Internal
 	0d00  Crystal Well DRAM Controller
 	0d01  Crystal Well PCI Express x16 Controller
 	0d04  Crystal Well DRAM Controller
@@ -16727,7 +17127,7 @@
 		8086 a11f  PRO/10GbE LR Server Adapter
 	1049  82566MM Gigabit Network Connection
 		103c 30c1  Compaq 6910p
-		17aa 20b9  ThinkPad T61
+		17aa 20b9  ThinkPad T61/R61
 	104a  82566DM Gigabit Network Connection
 	104b  82566DC Gigabit Network Connection
 	104c  82562V 10/100 Network Connection
@@ -16850,6 +17250,7 @@
 	1094  PRO/100 VE Network Connection
 	1095  PRO/100 VE Network Connection
 	1096  80003ES2LAN Gigabit Ethernet Controller (Copper)
+		15d9 1096  Motherboard
 		15d9 8680  X7DVL-E-O motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	1097  631xESB/632xESB DPT LAN Controller (Fiber)
@@ -16938,6 +17339,7 @@
 	10d3  82574L Gigabit Network Connection
 		103c 3250  NC112T PCI Express single Port Gigabit Server Adapter
 		10a9 8029  Prism XL Single Port Gigabit Ethernet
+		15d9 060a  X7SPA-H/X7SPA-HF Motherboard
 		8086 0001  Gigabit CT2 Desktop Adapter
 		8086 a01f  Gigabit CT Desktop Adapter
 		e4bf 50c1  PC1-GROOVE
@@ -17236,6 +17638,7 @@
 	1462  82870P2 P64H2 Hot Plug Controller
 	1501  82567V-3 Gigabit Network Connection
 	1502  82579LM Gigabit Network Connection
+		1028 04a3  Precision M4600
 	1503  82579V Gigabit Network Connection
 		1043 849c  P8P67 Deluxe Motherboard
 	1507  82599EB 10 Gigabit Network Connection
@@ -17389,6 +17792,7 @@
 		1028 04aa  XPS 8300
 		1043 844d  P8P67 Deluxe Motherboard
 	1c03  6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
+		1028 04a3  Precision M4600
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
 		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
@@ -17397,14 +17801,17 @@
 	1c08  6 Series/C200 Series Chipset Family 2 port SATA IDE Controller
 	1c09  6 Series/C200 Series Chipset Family 2 port SATA IDE Controller
 	1c10  6 Series/C200 Series Chipset Family PCI Express Root Port 1
+		1028 04aa  XPS 8300
 		1028 04da  Vostro 3750
 		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c12  6 Series/C200 Series Chipset Family PCI Express Root Port 2
+		1028 04aa  XPS 8300
 		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c14  6 Series/C200 Series Chipset Family PCI Express Root Port 3
 		1028 04da  Vostro 3750
 		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c16  6 Series/C200 Series Chipset Family PCI Express Root Port 4
+		1028 04aa  XPS 8300
 	1c18  6 Series/C200 Series Chipset Family PCI Express Root Port 5
 		1028 04da  Vostro 3750
 	1c1a  6 Series/C200 Series Chipset Family PCI Express Root Port 6
@@ -17413,6 +17820,7 @@
 	1c1e  6 Series/C200 Series Chipset Family PCI Express Root Port 8
 	1c20  6 Series/C200 Series Chipset Family High Definition Audio Controller
 		1028 0490  Alienware M17x R3
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
@@ -17421,6 +17829,7 @@
 		8086 2008  DQ67SW board
 		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c22  6 Series/C200 Series Chipset Family SMBus Controller
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
@@ -17429,6 +17838,7 @@
 	1c24  6 Series/C200 Series Chipset Family Thermal Management Controller
 	1c25  6 Series/C200 Series Chipset Family DMI to PCI Bridge
 	1c26  6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
@@ -17439,6 +17849,7 @@
 	1c2c  6 Series/C200 Series Chipset Family USB Universal Host Controller #5
 		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c2d  6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
@@ -17447,6 +17858,7 @@
 	1c33  6 Series/C200 Series Chipset Family LAN Controller
 	1c35  6 Series/C200 Series Chipset Family VECI Controller
 	1c3a  6 Series/C200 Series Chipset Family MEI Controller #1
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
@@ -17476,6 +17888,7 @@
 	1c4d  QS67 Express Chipset Family LPC Controller
 	1c4e  Q67 Express Chipset Family LPC Controller
 	1c4f  QM67 Express Chipset Family LPC Controller
+		1028 04a3  Precision M4600
 	1c50  B65 Express Chipset Family LPC Controller
 	1c51  6 Series/C200 Series Chipset Family LPC Controller
 	1c52  C202 Chipset Family LPC Controller
@@ -17559,6 +17972,7 @@
 	1e00  7 Series/C210 Series Chipset Family 4-port SATA Controller [IDE mode]
 	1e01  7 Series Chipset Family 4-port SATA Controller [IDE mode]
 	1e02  7 Series/C210 Series Chipset Family 6-port SATA Controller [AHCI mode]
+		1043 84ca  P8H77-I Motherboard
 	1e03  7 Series Chipset Family 6-port SATA Controller [AHCI mode]
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
@@ -17572,6 +17986,7 @@
 	1e10  7 Series/C210 Series Chipset Family PCI Express Root Port 1
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
 	1e12  7 Series/C210 Series Chipset Family PCI Express Root Port 2
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
@@ -17579,31 +17994,38 @@
 	1e16  7 Series/C210 Series Chipset Family PCI Express Root Port 4
 		1043 1477  N56VZ
 	1e18  7 Series/C210 Series Chipset Family PCI Express Root Port 5
+		1043 84ca  P8H77-I Motherboard
 	1e1a  7 Series/C210 Series Chipset Family PCI Express Root Port 6
 	1e1c  7 Series/C210 Series Chipset Family PCI Express Root Port 7
 	1e1e  7 Series/C210 Series Chipset Family PCI Express Root Port 8
 	1e20  7 Series/C210 Series Chipset Family High Definition Audio Controller
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
+		1043 8415  P8H77-I Motherboard
 	1e22  7 Series/C210 Series Chipset Family SMBus Controller
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
 	1e24  7 Series/C210 Series Chipset Family Thermal Management Controller
 		1043 1517  Zenbook Prime UX31A
 	1e25  7 Series/C210 Series Chipset Family DMI to PCI Bridge
 	1e26  7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
 	1e2d  7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
 	1e31  7 Series/C210 Series Chipset Family USB xHCI Host Controller
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
 	1e33  7 Series/C210 Series Chipset Family LAN Controller
 	1e3a  7 Series/C210 Series Chipset Family MEI Controller #1
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
 	1e3b  7 Series/C210 Series Chipset Family MEI Controller #2
 	1e3c  7 Series/C210 Series Chipset Family IDE-r Controller
 	1e3d  7 Series/C210 Series Chipset Family KT Controller
@@ -17617,6 +18039,7 @@
 	1e48  Q75 Express Chipset LPC Controller
 	1e49  B75 Express Chipset LPC Controller
 	1e4a  H77 Express Chipset LPC Controller
+		1043 84ca  P8H77-I Motherboard
 	1e4b  7 Series Chipset Family LPC Controller
 	1e4c  7 Series Chipset Family LPC Controller
 	1e4d  7 Series Chipset Family LPC Controller
@@ -17640,6 +18063,64 @@
 	1e5d  HM75 Express Chipset LPC Controller
 	1e5e  7 Series Chipset Family LPC Controller
 	1e5f  7 Series Chipset Family LPC Controller
+	1f00  Avoton SSA-Cunit
+	1f01  Avoton SSA-Cunit
+	1f02  Avoton SSA-Cunit
+	1f03  Avoton SSA-Cunit
+	1f04  Avoton SSA-Cunit
+	1f05  Avoton SSA-Cunit
+	1f06  Avoton SSA-Cunit
+	1f07  Avoton SSA-Cunit
+	1f08  Avoton SSA-Cunit
+	1f09  Avoton SSA-Cunit
+	1f0a  Avoton SSA-Cunit
+	1f0b  Avoton SSA-Cunit
+	1f0c  Avoton SSA-Cunit
+	1f0d  Avoton SSA-Cunit
+	1f0e  Avoton SSA-Cunit
+	1f0f  Avoton SSA-Cunit
+	1f10  Avoton PCIe Root Port 1
+	1f11  Avoton PCIe Root Port 2
+	1f12  Avoton PCIe Root Port 3
+	1f13  Avoton PCIe Root Port 4
+	1f14  Avoton RAS
+	1f15  Avoton SMBus 2.0
+	1f16  Avoton RCEC
+	1f18  Avoton nCPM
+	1f19  Avoton nCPM
+	1f20  Avoton 4-Port IDE SATA2 Controller
+	1f21  Avoton 4-Port IDE SATA2 Controller
+	1f22  Avoton AHCI SATA2 Controller
+	1f23  Avoton AHCI SATA2 Controller
+	1f24  Avoton RAID SATA2 Controller
+	1f25  Avoton RAID SATA2 Controller
+	1f26  Avoton RAID SATA2 Controller
+	1f27  Avoton RAID SATA2 Controller
+	1f2c  Avoton USB Enhanced Host Controller
+	1f2e  Avoton RAID SATA2 Controller
+	1f2f  Avoton RAID SATA2 Controller
+	1f30  Avoton 2-Port IDE SATA3 Controller
+	1f31  Avoton 2-Port IDE SATA3 Controller
+	1f32  Avoton AHCI SATA3 Controller
+	1f33  Avoton AHCI SATA3 Controller
+	1f34  Avoton RAID SATA3 Controller
+	1f35  Avoton RAID SATA3 Controller
+	1f36  Avoton RAID SATA3 Controller
+	1f37  Avoton RAID SATA3 Controller
+	1f38  Avoton PCU
+	1f39  Avoton PCU
+	1f3a  Avoton PCU
+	1f3b  Avoton PCU
+	1f3c  Avoton PCU SMBus
+	1f3d  Avoton PCU SMBus
+	1f3e  Avoton RAID SATA3 Controller
+	1f3f  Avoton RAID SATA3 Controller
+	1f40  Avoton GbE x4 1000base-KX
+	1f41  Avoton GbE x4 SGMII
+	1f42  Avoton GbE
+	1f43  Avoton GbE EEPROM-less
+	1f44  Avoton GbE Virtual Function
+	1f45  Avoton GbE 2500base-KX
 	2310  DH89xxCC LPC Controller
 	2323  DH89xxCC 4 Port SATA AHCI Controller
 	2330  DH89xxCC SMBus Controller
@@ -17743,10 +18224,13 @@
 		103c 30a3  Compaq nw8440
 		103c 30c1  Compaq 6910p
 		104d 902d  VAIO VGN-NR120E
+		105b 0d7c  D270S/D250S Motherboard
 		144d c00c  P30 notebook
 		144d c072  Notebook N150P
+		1458 5000  GA-D525TUD
 		1734 1055  Amilo M1420
 		17aa 20ae  ThinkPad T61
+		8086 544b  Desktop Board D425KT
 		e4bf cc47  CCG-RUMBA
 	2449  82801BA/BAM/CA/CAM Ethernet Controller
 		0e11 0012  EtherExpress PRO/100 VM
@@ -17803,7 +18287,10 @@
 		103c 2a3b  Pavilion A1512X
 		103c 31fe  ProLiant DL140 G3
 		103c 330b  ProLiant ML150 G6 Server
-		1458 5000  GA-EP45-DS5 Motherboard
+# same ID possibly also on other ASUS boards
+		1043 8277  P5K PRO Motherboard
+		1458 5000  Motherboard
+		15d9 9680  X7DBN Motherboard
 		1775 11cc  CC11/CL11
 	2450  82801E ISA Bridge (LPC)
 	2452  82801E USB Controller
@@ -17954,7 +18441,7 @@
 		103c 088c  NC8000 laptop
 		103c 0890  NC6000 laptop
 		103c 08b0  tc1100 tablet
-		1043 1713  M6800N
+		1043 1713  M2400N/M6800N laptop
 		1043 80b0  P4B533
 		1071 8160  MIM2000
 		1179 0201  Toshiba Tecra M1
@@ -17975,6 +18462,7 @@
 		103c 088c  NC8000 laptop
 		103c 0890  NC6000 laptop
 		103c 08b0  tc1100 tablet
+		1043 1716  M2400N laptop
 		1043 1826  M6800N
 		1071 8160  MIM2000
 		134d 4c21  Latitude D500
@@ -18414,7 +18902,8 @@
 	25d4  5000V Chipset Memory Controller Hub
 		15d9 8680  X7DVL-E-O motherboard
 	25d8  5000P Chipset Memory Controller Hub
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25e2  5000 Series Chipset PCI Express x4 Port 2
 	25e3  5000 Series Chipset PCI Express x4 Port 3
 	25e4  5000 Series Chipset PCI Express x4 Port 4
@@ -18425,23 +18914,28 @@
 		1028 01bb  PowerEdge 1955 FSB Registers
 		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f1  5000 Series Chipset Reserved Registers
 		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f3  5000 Series Chipset Reserved Registers
 		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f5  5000 Series Chipset FBD Registers
 		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f6  5000 Series Chipset FBD Registers
 		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f7  5000 Series Chipset PCI Express x8 Port 2-3
 	25f8  5000 Series Chipset PCI Express x8 Port 4-5
 	25f9  5000 Series Chipset PCI Express x8 Port 6-7
@@ -18640,11 +19134,13 @@
 	2670  631xESB/632xESB/3100 Chipset LPC Interface Controller
 		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	2680  631xESB/632xESB/3100 Chipset SATA IDE Controller
 	2681  631xESB/632xESB SATA AHCI Controller
 		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	2682  631xESB/632xESB SATA RAID Controller
 		103c 31fe  Adaptec Serial ATA HostRAID
@@ -18654,17 +19150,20 @@
 		1028 01f0  PowerEdge R900 onboard USB
 		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	2689  631xESB/632xESB/3100 Chipset UHCI USB Controller #2
 		1028 01bb  PowerEdge 1955 onboard USB
 		1028 01f0  PowerEdge R900 onboard USB
 		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	268a  631xESB/632xESB/3100 Chipset UHCI USB Controller #3
 		1028 01f0  PowerEdge R900 onboard USB
 		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	268b  631xESB/632xESB/3100 Chipset UHCI USB Controller #4
 		1028 01f0  PowerEdge R900 onboard USB
@@ -18675,9 +19174,11 @@
 		1028 01f0  PowerEdge R900 onboard USB
 		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	2690  631xESB/632xESB/3100 Chipset PCI Express Root Port 1
 		103c 31fe  ProLiant DL140 G3
+		15d9 9680  X7DBN Motherboard
 	2692  631xESB/632xESB/3100 Chipset PCI Express Root Port 2
 		103c 31fe  ProLiant DL140 G3
 	2694  631xESB/632xESB/3100 Chipset PCI Express Root Port 3
@@ -18688,10 +19189,12 @@
 	269b  631xESB/632xESB/3100 Chipset SMBus Controller
 		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	269e  631xESB/632xESB IDE Controller
 		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 	2770  82945G/GZ/P/PL Memory Controller Hub
 		1028 01ad  OptiPlex GX620
 		103c 2a3b  Pavilion A1512X
@@ -18765,8 +19268,11 @@
 		10f7 8338  Panasonic CF-Y5 laptop
 		17aa 2009  ThinkPad T60/R60 series
 	27bc  NM10 Family LPC Controller
+		105b 0d7c  D270S/D250S Motherboard
 		144d c072  Notebook N150P
+		1458 5001  GA-D525TUD
 		8086 4f4d  DeskTop Board D510MO
+		8086 544b  Desktop Board D425KT
 	27bd  82801GHM (ICH7-M DH) LPC Interface Bridge
 		1025 006c  9814 WKMI
 	27c0  NM10/ICH7 Family SATA Controller [IDE mode]
@@ -18778,11 +19284,14 @@
 		1462 2310  MSI Hetis 945
 		1462 7236  945P Neo3-F Rev. 2.2 motherboard
 		1775 11cc  CC11/CL11
+		8086 544b  Desktop Board D425KT
 		8086 544e  DeskTop Board D945GTP
 	27c1  NM10/ICH7 Family SATA Controller [AHCI mode]
 		1028 01df  PowerEdge SC440
 		103c 2a3b  Pavilion A1512X
+		105b 0d7c  D270S/D250S Motherboard
 		144d c072  Notebook N150P
+		1458 b005  GA-D525TUD
 		1775 11cc  CC11/CL11
 		8086 4f4d  DeskTop Board D510MO
 		8086 5842  DeskTop Board D975XBX
@@ -18810,11 +19319,14 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
 		107b 5048  E4500
 		144d c072  Notebook N150P
+		1458 5004  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200a  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
+		8086 544b  Desktop Board D425KT
 		8086 544e  DeskTop Board D945GTP
 	27c9  NM10/ICH7 Family USB UHCI Controller #2
 		1025 006c  9814 WKMI
@@ -18828,11 +19340,14 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
 		107b 5048  E4500
 		144d c072  Notebook N150P
+		1458 5004  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200a  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
+		8086 544b  Desktop Board D425KT
 		8086 544e  DeskTop Board D945GTP
 	27ca  NM10/ICH7 Family USB UHCI Controller #3
 		1025 006c  9814 WKMI
@@ -18846,8 +19361,10 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
 		107b 5048  E4500
 		144d c072  Notebook N150P
+		1458 5004  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200a  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
@@ -18863,8 +19380,10 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
 		107b 5048  E4500
 		144d c072  Notebook N150P
+		1458 5004  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200a  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
@@ -18881,28 +19400,36 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
 		144d c072  Notebook N150P
+		1458 5006  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200b  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
+		8086 544b  Desktop Board D425KT
 		8086 544e  DeskTop Board D945GTP
 	27d0  NM10/ICH7 Family PCI Express Port 1
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a3  Compaq nw8440
 		144d c072  Notebook N150P
+		1458 5001  GA-D525TUD
 		1775 11cc  CC11/CL11
+		8086 544b  Desktop Board D425KT
 	27d2  NM10/ICH7 Family PCI Express Port 2
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a3  Compaq nw8440
 		144d c072  Notebook N150P
 		1775 11cc  CC11/CL11
+		8086 544b  Desktop Board D425KT
 	27d4  NM10/ICH7 Family PCI Express Port 3
 		144d c072  Notebook N150P
 		1775 11cc  CC11/CL11
+		8086 544b  Desktop Board D425KT
 	27d6  NM10/ICH7 Family PCI Express Port 4
 		103c 30a3  Compaq nw8440
 		144d c072  Notebook N150P
 		1775 11cc  CC11/CL11
+		8086 544b  Desktop Board D425KT
 	27d8  NM10/ICH7 Family High Definition Audio Controller
 		1025 006c  9814 WKMI
 		1028 01d7  XPS M1210
